/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.gui.filenametab;

import javax.swing.*;


/**
 * Batch file renamer tab. Contains FileTable and FileOptions panels.
 *
 * @see FileTablePanel
 * @see FileOptionsPanel
 */
public class FileSplitPane extends JSplitPane {
    private static final long   serialVersionUID = 1;
    private FileOptionsPanel    aFileOptionsPanel = null;
    private FileTablePanel aFileTable = null;


    /**
     *
     */
    public FileSplitPane() {
        super();

        aFileTable = new FileTablePanel();
        aFileOptionsPanel = new FileOptionsPanel();

        setLeftComponent(aFileOptionsPanel);
        setRightComponent(aFileTable);
    }


    /**
     * Get options pane object.
     *
     * @return Table
     */
    public FileOptionsPanel getFileOptionsPanel() {
        return aFileOptionsPanel;
    }


    /**
     * Get file table object.
     *
     * @return Table
     */
    public FileTablePanel getFileTable() {
        return aFileTable;
    }
}
