/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.renamer;

import com.googlepages.dronten.jtagger.audio.AudioTrack;
import com.googlepages.dronten.jtagger.model.PictureModel;


/**
 * The file renamer object. Set the public members and call rename.
 */
public class AlbumRenamer extends BaseRenamer {
    public String       aUseArtist = null;
    public String       aUseAlbum = null;
    public String       aUseGenre = null;
    public String       aUseGenre2 = null;
    public String       aUseYear = null;
    public String       aUseTrack = null;
    public String       aUseComment = null;
    public String       aUseCopyright = null;
    public String       aUseComposer = null;
    public String       aPictureDescription = null;
    public String       aUseEncodedBy = null;
    public PictureModel aPictureModel = null;


    /**
     *
     */
    public AlbumRenamer() {
        super(false);
    }


    /**
     * Set and update mp3 tags.
     *
     * @param track         Audio track
     * @throws Exception    Throws exception if error found
     */
    @Override public void rename(AudioTrack track) throws Exception {
        if (aUseArtist != null) {
            track.aArtist = aUseArtist;
        }

        if (aUseAlbum != null) {
            track.aAlbum = aUseAlbum;
        }

        if (aUseGenre != null) {
            track.aGenre = aUseGenre;
        }

        if (aUseGenre2 != null) {
            track.aGenre2 = aUseGenre2;
        }

        if (aUseYear != null) {
            track.aYear = aUseYear;
        }

        if (aUseTrack != null) {
            track.aTrack = getTrack(aUseTrack);
        }

        if (aUseComment != null) {
            track.aComment = aUseComment;
        }

        if (aUseCopyright != null) {
            track.aCopyrightInfo = aUseCopyright;
        }

        if (aUseComposer != null) {
            track.aComposer = aUseComposer;
        }

        if (aUseEncodedBy != null) {
            track.aEncodedBy = aUseEncodedBy;
        }

        if (aPictureModel != null) {
            track.setImage(aPictureModel, aPictureDescription);
        }

        aTrackCount++;
    }
}
